package com.chenyang.druid.sql.dialect.db2.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.ast.statement.SQLDropStatement;
import com.chenyang.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class DB2DropConnectionStatement extends SQLStatementImpl implements DB2SQLStatement, SQLDropStatement {
   private SQLExpr connectionId;

   public DB2DropConnectionStatement() {
      this.dbType = DbType.db2;
   }

   public SQLExpr getConnectionId() {
      return this.connectionId;
   }

   public void setConnectionId(SQLExpr connectionId) {
      this.connectionId = connectionId;
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      visitor.visit(this);
   }
}
